Subeta Confessions: Please fix the wardrobe! :( ›

subetaconfessions:

Dearest subeta,

Can you please hurry up and fix the wardrobe for those of us using the latest version of Firefox? I don’t think I should have to downgrade to an obsolete version of the most popular browser just to use the wardrobe. Not to mention the incompatibility with IE or the constant…

We don’t have any control over what changes Firefox makes to its browser. When those changes are javascript breaking changes that are not introduced to other browsers, it’s harder for us to deploy change. We love our firefox users and want to make sure the wardrobe works for them, but it’s a work in progress.